GET
/product/202405/products/suggestions
Obtain AI-optimized product titles and descriptions for live products (status: ACTIVATE).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
product_ids
required
Array<string>
The product IDs for which you want to optimize the information.
- Max IDs: 20
- The product must be live (status:
ACTIVATE)
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
products
Returned products and their title and description suggestions. A requested product might not appear in the response. For a returned product, an empty items list for TITLE or DESCRIPTION means that no optimized text is available for that field.
Array<object>
object
id
The product ID.
string
suggestions
The suggestions for each product field.
Array<object>
object
field
The applicable product field. Possible values:
- TITLE
- DESCRIPTION
string
items
The list of optimized text.
Array<object>
object
text
The optimized text.
string
Example
{ "code": 0, "data": { "products": [ { "id": "123456", "suggestions": [ { "field": "TITLE", "items": [ { "text": "this is a good title" } ] } ] } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}